Upgraded Ubuntu to 16.04 while MythTV was 0.27 - How to get 0.28 started?

For discussion of topics specific to MythTV on linux
Post Reply
kernelklink
Newcomer
Posts: 1
Joined: Thu Apr 02, 2015 8:16 pm
United States of America

Upgraded Ubuntu to 16.04 while MythTV was 0.27 - How to get 0.28 started?

Post by kernelklink » Sun Jan 21, 2018 12:50 am

So I upgraded my backend to 16.04 before upgrading MythTV, and it looks like 0.27 is not compatible with 16.04... So, I've got a backup of my 0.27 database, if I just install 0.28 on the machine, will it upgrade the database for me?

User avatar
paulh
Developer
Posts: 322
Joined: Thu Feb 06, 2014 6:09 pm
Great Britain

Re: Upgraded Ubuntu to 16.04 while MythTV was 0.27 - How to get 0.28 started?

Post by paulh » Sun Jan 21, 2018 9:40 am

Yes both mythbackend and mythtv-setup will check the DB version when starting and will update it automatically. IIRC mythfrontend will just complain and shut down it finds an old DB version unless an update is taking place in which case it will wait a while for the update to complete.

Sometimes you need to be patient since it does a backup first then the update and it can take a few minutes to complete.

Post Reply